ros-lunar-joint-trajectory-controller (0.13.4-0stretch) stretch; urgency=high

  * joint_trajectory_controller improve test stability
  * Use a copy of rt_active_goal in update()
  * Changes to allow inheritance from JointTrajectoryController.
  * Contributors: Alexander Gutenkunst, Gennaro Raiola, Kei Okada, Ryosuke Tajima

 -- Adolfo Rodriguez Tsouroukdissian <adolfo.rodriguez@pal-robotics.com>  Mon, 25 Jun 2018 23:00:00 -0000

ros-lunar-joint-trajectory-controller (0.13.3-0stretch) stretch; urgency=high

  * migrate to new pluginlib headers
  * TrajectoryController: Use desired state to calculate hold trajectory (#297 <https://github.com/ros-controls/ros_controllers/issues/297>)
  * Add velocity feedforward term to velocity HardwareInterfaceAdapter (#227 <https://github.com/ros-controls/ros_controllers/issues/227>)
  * Contributors: Mathias Lüdtke, Miguel Prada, agutenkunst

 -- Adolfo Rodriguez Tsouroukdissian <adolfo.rodriguez@pal-robotics.com>  Thu, 26 Apr 2018 23:00:00 -0000

ros-lunar-joint-trajectory-controller (0.13.2-0stretch) stretch; urgency=high

  * Changend the implementation of joint_trajectory_controller to enable the forwarding of the acceleration values from the trajectory
  * Contributors: Bence Magyar, Mart Moerdijk

 -- Adolfo Rodriguez Tsouroukdissian <adolfo.rodriguez@pal-robotics.com>  Sat, 23 Dec 2017 00:00:00 -0000

ros-lunar-joint-trajectory-controller (0.13.1-0stretch) stretch; urgency=high

  * Linted pos_vel joint_trajectory_controllers
  * Added posvel joint_trajectory_controller
    Added a simple posvel joint_trajectory_controller that forwards
    the desired state at the current point in time of the trajectory
    to the joint.
  * Add support for an joint interfaces are not inherited from JointHandle.
    Add JointTrajectoryController specification for SplineJointInterface.
  * Contributors: Gennaro Raiola, Igorec, Zach Anderson

 -- Adolfo Rodriguez Tsouroukdissian <adolfo.rodriguez@pal-robotics.com>  Mon, 06 Nov 2017 00:00:00 -0000

ros-lunar-joint-trajectory-controller (0.13.0-0stretch) stretch; urgency=high

  * Make rqt_plot optional
  * Added tests for issue #275 <https://github.com/ros-controls/ros_controllers/issues/275>
  * Address Issue  #275 <https://github.com/ros-controls/ros_controllers/issues/275> for kinetic
  * Address issue #263 <https://github.com/ros-controls/ros_controllers/issues/263>, joint_trajectory_controller - wraparoundOffset
  * Added warning to indicate that the verbose flag is enabled
  * Set hold trajectory goal handle when empty trajectory received through action.
    Previously, an empty trajectory received through the action interface would
    set hold trajectory and accept the action goal, but the action would never be
    terminated, leaving clients hanging.
  * Contributors: Bence Magyar, Miguel Prada, bponsler, gennaro

 -- Adolfo Rodriguez Tsouroukdissian <adolfo.rodriguez@pal-robotics.com>  Wed, 09 Aug 2017 23:00:00 -0000

ros-lunar-joint-trajectory-controller (0.12.3-0stretch) stretch; urgency=high



 -- Adolfo Rodriguez Tsouroukdissian <adolfo.rodriguez@pal-robotics.com>  Sat, 22 Apr 2017 23:00:00 -0000

ros-lunar-joint-trajectory-controller (0.12.2-0stretch) stretch; urgency=high

  * Remove rqt_plot test_depend & make plots optional
  * Contributors: Bence Magyar

 -- Adolfo Rodriguez Tsouroukdissian <adolfo.rodriguez@pal-robotics.com>  Thu, 20 Apr 2017 23:00:00 -0000

ros-lunar-joint-trajectory-controller (0.12.1-0stretch) stretch; urgency=high



 -- Adolfo Rodriguez Tsouroukdissian <adolfo.rodriguez@pal-robotics.com>  Wed, 08 Mar 2017 00:00:00 -0000

ros-lunar-joint-trajectory-controller (0.12.0-0stretch) stretch; urgency=high

  * Fix missing controller_manager include
  * Ordered dependencies & cleanup
  * Change for format2
  * Add Enrique and Bence to maintainers
  * Add test that sends trajectory entirely in past
  * Use xacro instead of xacro.py
  * urdf::Model typedefs had to be added to a different repo first
  * Updated copyright info
  * jtc: Enable sending trajectories with a partial set of joints
  * Replace boost::shared_ptr<urdf::XY> with urdf::XYConstSharedPtr when exists
  * Infrastructure for testing the velocity_controllers::JointTrajectoryController.
  * jtc: Enable sending trajectories with a partial set of joints
  * Contributors: Beatriz Leon, Bence Magyar, Miguel Prada

 -- Adolfo Rodriguez Tsouroukdissian <adolfo.rodriguez@pal-robotics.com>  Wed, 15 Feb 2017 00:00:00 -0000

ros-lunar-joint-trajectory-controller (0.11.2-0stretch) stretch; urgency=high



 -- Adolfo Rodriguez Tsouroukdissian <adolfo.rodriguez@pal-robotics.com>  Mon, 15 Aug 2016 23:00:00 -0000

ros-lunar-joint-trajectory-controller (0.11.1-0stretch) stretch; urgency=high

  * Write feedback for the RealtimeServerGoalHandle to publish on the non-realtime thread.
  * Contributors: Miguel Prada

 -- Adolfo Rodriguez Tsouroukdissian <adolfo.rodriguez@pal-robotics.com>  Sun, 22 May 2016 23:00:00 -0000

ros-lunar-joint-trajectory-controller (0.11.0-0stretch) stretch; urgency=high



 -- Adolfo Rodriguez Tsouroukdissian <adolfo.rodriguez@pal-robotics.com>  Mon, 02 May 2016 23:00:00 -0000

ros-lunar-joint-trajectory-controller (0.10.0-0stretch) stretch; urgency=high

  * Add joint limits spec to rrbot test robot
  * Address -Wunused-parameter warnings
  * Reset to semantic zero in HardwareInterfaceAdapter for PositionJointInterface
  * Contributors: Adolfo Rodriguez Tsouroukdissian, ipa-fxm

 -- Adolfo Rodriguez Tsouroukdissian <adolfo.rodriguez@pal-robotics.com>  Fri, 20 Nov 2015 00:00:00 -0000

ros-lunar-joint-trajectory-controller (0.9.2-0stretch) stretch; urgency=high



 -- Adolfo Rodriguez Tsouroukdissian <adolfo.rodriguez@pal-robotics.com>  Sun, 03 May 2015 23:00:00 -0000

ros-lunar-joint-trajectory-controller (0.9.1-0stretch) stretch; urgency=high



 -- Adolfo Rodriguez Tsouroukdissian <adolfo.rodriguez@pal-robotics.com>  Mon, 03 Nov 2014 00:00:00 -0000

ros-lunar-joint-trajectory-controller (0.9.0-0stretch) stretch; urgency=high

  * Check that waypoint times are strictly increasing before accepting a command
  * velocity_controllers::JointTrajectoryController: New plugin variant for
    velocity-controlled joints
  * Buildsystem fixes
  * Contributors: Adolfo Rodriguez Tsouroukdissian, Lukas Bulwahn, ipa-fxm, Dave Coleman

 -- Adolfo Rodriguez Tsouroukdissian <adolfo.rodriguez@pal-robotics.com>  Fri, 31 Oct 2014 00:00:00 -0000

ros-lunar-joint-trajectory-controller (0.8.1-0stretch) stretch; urgency=high

  * joint_trajectory_controller: Critical targets declared before calling catkin_package
  * check for CATKIN_ENABLE_TESTING
  * Contributors: Jonathan Bohren, Lukas Bulwahn

 -- Adolfo Rodriguez Tsouroukdissian <adolfo.rodriguez@pal-robotics.com>  Thu, 10 Jul 2014 23:00:00 -0000

ros-lunar-joint-trajectory-controller (0.8.0-0stretch) stretch; urgency=high

  * Remove rosbuild artifacts. Fix #90 <https://github.com/ros-controls/ros_controllers/issues/90>.
  * Contributors: Adolfo Rodriguez Tsouroukdissian

 -- Adolfo Rodriguez Tsouroukdissian <adolfo.rodriguez@pal-robotics.com>  Sun, 11 May 2014 23:00:00 -0000

ros-lunar-joint-trajectory-controller (0.7.2-0stretch) stretch; urgency=high



 -- Adolfo Rodriguez Tsouroukdissian <adolfo.rodriguez@pal-robotics.com>  Mon, 31 Mar 2014 23:00:00 -0000

ros-lunar-joint-trajectory-controller (0.7.1-0stretch) stretch; urgency=high



 -- Adolfo Rodriguez Tsouroukdissian <adolfo.rodriguez@pal-robotics.com>  Sun, 30 Mar 2014 23:00:00 -0000

ros-lunar-joint-trajectory-controller (0.7.0-0stretch) stretch; urgency=high

  * Add support for an joint interfaces are not inherited from JointHandle.
  * Contributors: Igorec

 -- Adolfo Rodriguez Tsouroukdissian <adolfo.rodriguez@pal-robotics.com>  Fri, 28 Mar 2014 00:00:00 -0000

ros-lunar-joint-trajectory-controller (0.6.0-0stretch) stretch; urgency=high

  * Merge pull request #72 <https://github.com/ros-controls/ros_controllers/issues/72> from pal-robotics/minor-maintenance
    Minor maintenance
  * Default stop_trajectory_duration to zero. Refs #73 <https://github.com/ros-controls/ros_controllers/issues/73>
  * Better logs when dropping traj points. Refs #68 <https://github.com/ros-controls/ros_controllers/issues/68>.
  * Fix class member reorder warning in constructor.
  * Add missing headers to target files.
  * Action interface rejects empty goals. Fixes #70 <https://github.com/ros-controls/ros_controllers/issues/70>.
  * Reorder how time and traj data are updated.
    In the update method, fetching the currently executed trajectory should be done
    before updating the time data to prevent a potential scenario in which there
    is no trajectory defined for the current control cycle.
  * Work tolerance checking methods.
    Until now we used the currently active goal handle for performing tolerance
    checks. Using the goal handle stored in segments is more robust to unexpected
    goal updates by the non-rt thread.
  * Refactor how the currrent trajectory is stored.
    - Handle concurrency in the current trajectory between rt and non-rt threads
    using the simpler RealtimeBox instead of the RealtimeBuffer, because our
    usecase does not fit well the non-rt->writes / rt->reads semantics.
    - As a consequence we no longer need to store the msg_trajectory member, but
    only the hold_trajectory, which must still be preallocated.
  * Honor unspecified vel/acc in ROS message. Fix #65 <https://github.com/ros-controls/ros_controllers/issues/65>.
  * Fixes per Adolfo
  * Added verbose flag
  * Fixing realtime issues
  * Merge branch 'hydro-devel' into joint_trajectory_tweaks
  * Tweaked error messages
  * Added more debug info
  * Fix for microsecond delay that caused header time=0 (now) to start too late
  * Reworded debug message
  * Image update.
  * Update README.md
    Factor out user documentation to the ROS wiki.
  * Merge branch 'hydro-devel' of https://github.com/willowgarage/ros_controllers into hydro-devel
  * Rename hold_trajectory_duration
    - hold_trajectory_duration -> stop_trajectory_duration for more clarity.
    - During Hydro, hold_trajectory_duration will still work, giving a deprecation
    warning.
  * Add basic description in package.xml.
  * Add images used in the ROS wiki doc.
  * Added better debug info
  * Throttled debug output
  * Added more debug and error information
  * Contributors: Adolfo Rodriguez Tsouroukdissian, Dave Coleman

 -- Adolfo Rodriguez Tsouroukdissian <adolfo.rodriguez@pal-robotics.com>  Wed, 05 Feb 2014 00:00:00 -0000

ros-lunar-joint-trajectory-controller (0.5.4-0stretch) stretch; urgency=high

  * Added install rules for plugin.xml
  * Remove PID sign flip.
    This is now done in the state error computation.
  * Merge pull request #45 <https://github.com/davetcoleman/ros_controllers/issues/45> from ros-controls/effort_fixes
    Added check for ~/robot_description and fixed hardware interface abstraction bug
  * Flip state error sign.
  * PID sign was wrong
  * Added check for ~/robot_description and fixed hardware interface abstraction bug
  * Update README.md
  * Create README.md
  * Fix license header string for some files.
  * Less verbose init logging.
    Statement detailing controller joint count, as well as segment and hardware
    interface types moved from INFO to DEBUG severity.

 -- Adolfo Rodriguez Tsouroukdissian <adolfo.rodriguez@pal-robotics.com>  Sun, 29 Sep 2013 23:00:00 -0000

ros-lunar-joint-trajectory-controller (0.5.3-0stretch) stretch; urgency=high

  * joint_trajectory_controller: New package implementing a controller for executing joint-space trajectories on a
    set of joints.
    
      * ROS API
        
          * Commands: FollowJointTrajectory action and trajectory_msgs::JointTrajectory topic.
          * Current controller state is available in a control_msgs::JointTrajectoryControllerState topic.
          * Controller state at any future time can be queried through a control_msgs::JointTrajectoryControllerState
            service.
        
      * Trajectory segment type
        
          * Controller is templated on the segment type.
          * Multi-dof quintic spline segment implementation provided by default.
        
      * Hardware interface type
        
          * Controller is templated on the hardware interface type.
          * Position and effort control joint interfaces provided by default.
        
      * Other
        
          * Realtime-safe.
          * Proper handling of wrapping (continuous) joints.
          * Discontinuous system clock changes do not cause discontinuities in the execution of already queued
            trajectory segments.
        
    

 -- Adolfo Rodriguez Tsouroukdissian <adolfo.rodriguez@pal-robotics.com>  Tue, 03 Sep 2013 23:00:00 -0000


